org.eclipse.viatra.transformation.evm.specific.scheduler

## Class UpdateCompleteBasedScheduler.UpdateCompleteBasedSchedulerFactory

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.specific.scheduler.UpdateCompleteBasedScheduler.UpdateCompleteBasedSchedulerFactory

- All Implemented Interfaces:
    Scheduler.ISchedulerFactory
  Enclosing class:
    UpdateCompleteBasedScheduler

      public static class UpdateCompleteBasedScheduler.UpdateCompleteBasedSchedulerFactory
      extends java.lang.Object
      implements Scheduler.ISchedulerFactory

  This scheduler factory implementation uses an update complete provider that sends notifications to the prepared schedulers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateCompleteBasedSchedulerFactory(IUpdateCompleteProvider provider)` Creates a scheduler factory for the given provider.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IUpdateCompleteProvider` | `getProvider()`
    `Scheduler` | `prepareScheduler(ScheduledExecution execution)` Creates a scheduler for the given executor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateCompleteBasedSchedulerFactory

          public UpdateCompleteBasedSchedulerFactory(IUpdateCompleteProvider provider)

      Creates a scheduler factory for the given provider.
      Parameters:
        `provider` -

  - ### Method Detail

    - #### getProvider

          public IUpdateCompleteProvider getProvider()

      Returns:
        the provider

    - #### prepareScheduler

          public Scheduler prepareScheduler(ScheduledExecution execution)

      Description copied from interface: `Scheduler.ISchedulerFactory`
      Creates a scheduler for the given executor.
      Specified by:
        `prepareScheduler` in interface `Scheduler.ISchedulerFactory`